Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80074 - squid doesn't support IPv6 at all
Summary: squid doesn't support IPv6 at all
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squid
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL: http://www.ipv6.omnifarious.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-19 16:49 UTC by Eric Hopper
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-22 10:54:38 UTC


Attachments (Terms of Use)

Description Eric Hopper 2002-12-19 16:49:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
Squid doesn't support downloading web pages from hosts that only have IPv6 addreses.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set your browser up to use a squid proxy on RH 8.0 and go to
http://www.ipv6.omnifarious.org/


Actual Results:  You get the 'Unable to determine IP address from host name'
page from squid.


Expected Results:  The same result as if you go to http://www.omnifarious.org/


Additional info:

I also have squid set to use an upstream proxy.  If either squid, or mozilla
could be changed to treat IPv6 only, and/or IPv6 capable hosts differenty with
regards to forwarding to a proxy, it would be a great help.

Comment 1 Reuben Farrelly 2002-12-26 01:18:00 UTC
http://devel.squid-cache.org/projects.html#ipv6

Of course it would be nice if RedHat stepped in and helped with this work 8)


Comment 2 Pekka Savola 2003-07-22 10:54:38 UTC
Squid IPv6 support does not seem to be a first priority item in the upstream, so
I don't think RHL should be working on it.

(Tip: we use apache2 as a very simple proxy for this purpose, works just fine.)


Note You need to log in before you can comment on or make changes to this bug.